# Crow: crow::black_magic::compute_parameter_tag_from_args_list< Arg, Args... > Struct Template Reference

crow::black_magic::compute_parameter_tag_from_args_list< Arg, Args... > Struct Template Reference

## Static Public Attributes

static const int | sub_value
static const int | value

## Member Data Documentation

## sub_value

template<typename Arg , typename ... Args>

const int crow::black_magic::compute_parameter_tag_from_args_list< Arg, Args... >::sub_value

static

Initial value:
=
compute_parameter_tag_from_args_list<Args...>::value

## value

template<typename Arg , typename ... Args>

const int crow::black_magic::compute_parameter_tag_from_args_list< Arg, Args... >::value

static

Initial value:
=
parameter_tag<typename std::decay<Arg>::type>::value
? sub_value* 6 + parameter_tag<typename std::decay<Arg>::type>::value
: sub_value

The documentation for this struct was generated from the following file:

- /home/farook/cppsrv/crow-0.3-fordoc/include/crow/utility.h